import os
import shutil
from pathlib import Path

def modify_file_if_exists():
    base_path = Path('/usr/lib/plexmediaserver/Resources')
    plug_ins_folder = next((f for f in base_path.iterdir() if f.is_dir() and f.name.startswith('Plug-ins-')), None)

    if not plug_ins_folder:
        print("'Plug-ins-'로 시작하는 폴더가 없거나 여러 개입니다.")
        return

    video_helpers_path = plug_ins_folder / 'LocalMedia.bundle/Contents/Code/videohelpers.py'

    if not video_helpers_path.is_file():
        print("'videohelpers.py' 파일이 존재하지 않습니다.")
        return

    shutil.copy(video_helpers_path, video_helpers_path.with_suffix('.py-backup'))

    with video_helpers_path.open('r') as file:
        lines = file.readlines()

    modified = False
    for i, line in enumerate(lines):
        if 'def process_metadata(self, metadata, episode = None):' in line:
            if i + 1 < len(lines) and lines[i + 1].strip() == '':
                lines.insert(i + 1, '    return\n')
                modified = True
                break

    if modified:
        with video_helpers_path.open('w') as file:
            file.writelines(lines)
        print("videohelpers.py 파일 수정 완료")
    else:
        print("'process_metadata'에 수정할 내용이 없습니다.")

if __name__ == "__main__":
    modify_file_if_exists()
